IntegerDV (Xerces2 Implementation)
Date: 2018-10-16

org.apache.xerces.impl.dv.xs

## Class IntegerDV

- java.lang.Object
- - org.apache.xerces.impl.dv.xs.TypeValidator
  - - org.apache.xerces.impl.dv.xs.DecimalDV
    - - org.apache.xerces.impl.dv.xs.IntegerDV

-     public class IntegerDV
      extends DecimalDV

  Represent the schema type "integer"
  Version:
    $Id: IntegerDV.java 446745 2006-09-15 21:43:58Z mrglavas $
  Author:
    Sandy Gao, IBM

  # INTERNAL:

    Usage of this class is not supported. It may be altered or removed at any time.

- - ### Field Summary

    - ### Fields inherited from class org.apache.xerces.impl.dv.xs.TypeValidator

      `EQUAL, GREATER_THAN, INDETERMINATE, LESS_THAN`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `IntegerDV()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.Object` | `getActualValue(java.lang.String content, ValidationContext context)`

    - ### Methods inherited from class org.apache.xerces.impl.dv.xs.DecimalDV

      `compare, getAllowedFacets, getFractionDigits, getTotalDigits`

    - ### Methods inherited from class org.apache.xerces.impl.dv.xs.TypeValidator

      `checkExtraRules, getDataLength, getDigit, isDigit, isIdentical`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### IntegerDV

          public IntegerDV()

  - ### Method Detail

    - #### getActualValue

          public java.lang.Object getActualValue(java.lang.String content,
                                                 ValidationContext context)
                                          throws InvalidDatatypeValueException

      Overrides:
        `getActualValue` in class `DecimalDV`
      Throws:
        `InvalidDatatypeValueException`

Copyright © 1999-2010 The Apache Software Foundation. All Rights Reserved.